Bug 314211 - Appletviewer is missing permissions to access time zone data.
Appletviewer is missing permissions to access time zone data.
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-01 13:15 EDT by Marc Schoenefeld
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-12 17:01:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2007-10-01 13:15:59 EDT
Description of problem:

Appletviewer is missing permissions to access time zone data: 

Version-Release number of selected component (if applicable):

[schonef@localhost javatest]$ appletviewer -J-version
java version "1.7.0"
IcedTea Runtime Environment (build 1.7.0-kojibuilder_27_sep_2007_14_56-b00)
IcedTea Client VM (build 11.0-b05, mixed mode)

How reproducible:

Start an applet with appletviewer

Actual results:

[schonef@localhost javatest]$ appletviewer IcedTea170Test3.html 
java.security.AccessControlException: access denied
(java.util.PropertyPermission user.zoneinfo.dir read)
        at java.security.AccessController.checkPermission(AccessController.java:554)

Expected results:

Applet runs fine

Additional info:

Had to add the following permissions: 

[schonef@localhost javatest]$ more mypolicy.txt 
grant {
        Permission java.util.PropertyPermission "user.zoneinfo.dir","read";
        Permission java.io.FilePermission
"/usr/share/javazi/ZoneInfoMappings", "read";
Comment 1 Thomas Fitzsimmons 2007-10-02 16:03:44 EDT
Filed report upstream:


Note You need to log in before you can comment on or make changes to this bug.